
services:
  app:
    build: .
    volumes:
      - .:/app
      - node_modules:/app/node_modules
    ports:
      - "8100:8100"
      - "8101:8101"
      - "35729:35729"
    environment:
      - CHOKIDAR_USEPOLLING=true
    command: ionic serve --external --port 8100 --address 0.0.0.0

volumes:
  node_modules:
